- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_database_t

# mongoc_database_find_collections()

## Synopsis

    mongoc_cursor_t *
    mongoc_database_find_collections (mongoc_database_t *database,
                                      const bson_t *filter,
                                      bson_error_t *error)
       BSON_GNUC_DEPRECATED_FOR (mongoc_database_find_collections_with_opts);

## Deprecated

This function is deprecated and should not be used in new code.

Please use mongoc_database_find_collections_with_opts() instead.

## Description

Fetches a cursor containing documents, each corresponding to a collection on this database.

## Parameters

- `database`: A mongoc_database_t.
- `filter`: A matcher used by the server to filter the returned collections. May be `NULL`.
- `error`: An optional location for a bson_error_t or `NULL`.

## Errors

Errors are propagated via the `error` parameter.

## Returns

A cursor where each result corresponds to the server’s representation of a collection in this database.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.